### Hierarchy

- Entity
  - Vehicle

## Index

### Constructors

- constructor

### Properties

- _doors
- _mods
- _wheels
- _windows
- bones
- handle

### Accessors

- Acceleration
- AlarmTimeLeft
- AreBrakeLightsOn
- AreHighBeamsOn
- AreLightsOn
- AttachedBlip
- BodyHealth
- Bones
- CanBeVisiblyDamaged
- CanBreak
- CanDeformWheels
- CanEngineDegrade
- CanTiresBurst
- CanWheelsBreak
- ClassDisplayName
- ClassType
- CurrentGear
- CurrentRPM
- DirtLevel
- DisplayName
- Doors
- Driver
- DropsMoneyOnExplosion
- EngineHealth
- EnginePowerMultiplier
- EngineTorqueMultiplier
- FuelLevel
- Gravity
- Handle
- HasBombBay
- HasCollided
- HasGravity
- HasRoof
- Heading
- Health
- HeightAboveGround
- HighGear
- IsAlarmSet
- IsAlarmSounding
- IsAxlesStrong
- IsBurnoutForced
- IsCollisionEnabled
- IsConvertible
- IsDamaged
- IsDriveable
- IsEngineOnFire
- IsEngineRunning
- IsEngineStarting
- IsFrontBumperBrokenOff
- IsHandbrakeForcedOn
- IsInAir
- IsInBurnout
- IsInWater
- IsInteriorLightOn
- IsInvincible
- IsLeftHeadLightBroken
- IsLeftIndicatorLightOn
- IsOccluded
- IsOnAllWheels
- IsOnFire
- IsOnScreen
- IsOnlyDamagedByPlayer
- IsPersistent
- IsPositionFrozen
- IsRadioEnabled
- IsRearBumperBrokenOff
- IsRecordingCollisions
- IsRightHeadLightBroken
- IsRightIndicatorLightOn
- IsSearchLightOn
- IsSirenActive
- IsSirenSilent
- IsStolen
- IsStopped
- IsStoppedAtTrafficLights
- IsTaxiLightOn
- IsUpright
- IsUpsideDown
- IsVisible
- IsWanted
- LandingGearState
- LightsMultiplier
- LockStatus
- LodDistance
- MaterialCollidingWith
- MaxBraking
- MaxHealth
- MaxSpeed
- MaxTraction
- Model
- Mods
- NeedsToBeHotwired
- NetworkId
- NumberPlate
- Occupants
- OilLevel
- Opacity
- PassengerCapacity
- PassengerCount
- Passengers
- PetrolTankHealth
- Position
- PositionNoOffset
- PreviouslyOwnedByPlayer
- ProvidesCover
- Quaternion
- RadioStation
- RespotTimer
- RoofState
- Rotation
- RotationVelocity
- Speed
- SteeringAngle
- SteeringScale
- Strong
- SubmersionLevel
- TowedVehicle
- TowingCraneRaisedAmount
- Velocity
- WheelSpeed
- Wheels
- Windows

### Methods

- applyForce
- applyForceRelative
- attachBlip
- attachTo
- attachToBone
- clearLastWeaponDamage
- closeBombBay
- deform
- delete
- detach
- detachFromTowTruck
- detachTowedVehicle
- exists
- explode
- explodeNetworked
- extraExists
- getEntityAttachedTo
- getOffsetPosition
- getPedOnSeat
- getPositionOffset
- hasBeenDamagedBy
- hasBeenDamagedByAnyMeleeWeapon
- hasBeenDamagedByAnyWeapon
- hasBeenDamagedByWeapon
- hasClearLosToEntity
- hasClearLosToEntityInFront
- isAlive
- isAttached
- isAttachedTo
- isDead
- isExtraOn
- isInAngledArea
- isInArea
- isInRangeOf
- isNearEntity
- isSeatFree
- isTouching
- isTouchingModel
- markAsNoLongerNeeded
- openBombBay
- placeOnGround
- removeAllParticleEffects
- repair
- resetOpacity
- setHeliYawPitchRollMult
- setNoCollision
- soundHorn
- startAlarm
- toggleExtra
- towVehicle
- wash
- exists
- fromHandle
- fromNetworkId
- getClassDisplayName
- getModelClass
- getModelDisplayName

## Constructors

### constructor

- new Vehicle(handle: number): Vehicle

- Overrides Entity.constructor

  - Defined in models/Vehicle.ts:43

  #### Parameters

  - ##### handle: number

  #### Returns Vehicle

## Properties

### Private _doors

_doors: undefined | VehicleDoorCollection

- Defined in models/Vehicle.ts:38

### Private _mods

_mods: undefined | VehicleModCollection

- Defined in models/Vehicle.ts:39

### Private _wheels

_wheels: undefined | VehicleWheelCollection

- Defined in models/Vehicle.ts:40

### Private _windows

_windows: undefined | VehicleWindowCollection

- Defined in models/Vehicle.ts:41

### Protected bones

bones: undefined | EntityBoneCollection

Inherited from Entity.bones

- Defined in models/Entity.ts:29

### Protected handle

handle: number

Inherited from Entity.handle

- Defined in models/Entity.ts:28

## Accessors

### Acceleration

- get Acceleration(): number

- - Defined in models/Vehicle.ts:171

  #### Returns number

### AlarmTimeLeft

- get AlarmTimeLeft(): number
- set AlarmTimeLeft(value: number): void

- - Defined in models/Vehicle.ts:223

  #### Returns number

- - Defined in models/Vehicle.ts:227

  #### Parameters

  - ##### value: number

  #### Returns void

### AreBrakeLightsOn

- set AreBrakeLightsOn(value: boolean): void

- - Defined in models/Vehicle.ts:348

  #### Parameters

  - ##### value: boolean

  #### Returns void

### AreHighBeamsOn

- get AreHighBeamsOn(): boolean
- set AreHighBeamsOn(value: boolean): void

- - Defined in models/Vehicle.ts:291

  #### Returns boolean

- - Defined in models/Vehicle.ts:295

  #### Parameters

  - ##### value: boolean

  #### Returns void

### AreLightsOn

- get AreLightsOn(): boolean
- set AreLightsOn(value: boolean): void

- - Defined in models/Vehicle.ts:283

  #### Returns boolean

- - Defined in models/Vehicle.ts:287

  #### Parameters

  - ##### value: boolean

  #### Returns void

### AttachedBlip

- get AttachedBlip(): null | Blip

- - Defined in models/Entity.ts:247

  #### Returns null | Blip

### BodyHealth

- get BodyHealth(): number
- set BodyHealth(value: number): void

- - Defined in models/Vehicle.ts:71

  #### Returns number

- - Defined in models/Vehicle.ts:75

  #### Parameters

  - ##### value: number

  #### Returns void

### Bones

- get Bones(): undefined | EntityBoneCollection

- - Defined in models/Entity.ts:240

  #### Returns undefined | EntityBoneCollection

### CanBeVisiblyDamaged

- set CanBeVisiblyDamaged(value: boolean): void

- - Defined in models/Vehicle.ts:356

  #### Parameters

  - ##### value: boolean

  #### Returns void

### CanBreak

- set CanBreak(toggle: boolean): void

- - Defined in models/Vehicle.ts:364

  #### Parameters

  - ##### toggle: boolean

  #### Returns void

### CanDeformWheels

- set CanDeformWheels(value: boolean): void

- - Defined in models/Vehicle.ts:623

  #### Parameters

  - ##### value: boolean

  #### Returns void

### CanEngineDegrade

- set CanEngineDegrade(value: boolean): void

- - Defined in models/Vehicle.ts:408

  #### Parameters

  - ##### value: boolean

  #### Returns void

### CanTiresBurst

- get CanTiresBurst(): boolean
- set CanTiresBurst(value: boolean): void

- - Defined in models/Vehicle.ts:611

  #### Returns boolean

- - Defined in models/Vehicle.ts:615

  #### Parameters

  - ##### value: boolean

  #### Returns void

### CanWheelsBreak

- set CanWheelsBreak(value: boolean): void

- - Defined in models/Vehicle.ts:619

  #### Parameters

  - ##### value: boolean

  #### Returns void

### ClassDisplayName

- get ClassDisplayName(): string

- - Defined in models/Vehicle.ts:55

  #### Returns string

### ClassType

- get ClassType(): VehicleClass

- - Defined in models/Vehicle.ts:67

  #### Returns VehicleClass

### CurrentGear

- get CurrentGear(): number

- - Defined in models/Vehicle.ts:191

  #### Returns number

### CurrentRPM

- get CurrentRPM(): number
- set CurrentRPM(value: number): void

- - Defined in models/Vehicle.ts:175

  #### Returns number

- - Defined in models/Vehicle.ts:179

  #### Parameters

  - ##### value: number

  #### Returns void

### DirtLevel

- get DirtLevel(): number
- set DirtLevel(value: number): void

- - Defined in models/Vehicle.ts:587

  #### Returns number

- - Defined in models/Vehicle.ts:591

  #### Parameters

  - ##### value: number

  #### Returns void

### DisplayName

- get DisplayName(): string

- - Defined in models/Vehicle.ts:51

  #### Returns string

### Doors

- get Doors(): VehicleDoorCollection

- - Defined in models/Vehicle.ts:533

  #### Returns VehicleDoorCollection

### Driver

- get Driver(): Ped

- - Defined in models/Vehicle.ts:499

  #### Returns Ped

### DropsMoneyOnExplosion

- set DropsMoneyOnExplosion(value: boolean): void

- - Defined in models/Vehicle.ts:263

  #### Parameters

  - ##### value: boolean

  #### Returns void

### EngineHealth

- get EngineHealth(): number
- set EngineHealth(value: number): void

- - Defined in models/Vehicle.ts:79

  #### Returns number

- - Defined in models/Vehicle.ts:83

  #### Parameters

  - ##### value: number

  #### Returns void

### EnginePowerMultiplier

- set EnginePowerMultiplier(value: number): void

- - Defined in models/Vehicle.ts:412

  #### Parameters

  - ##### value: number

  #### Returns void

### EngineTorqueMultiplier

- set EngineTorqueMultiplier(value: number): void

- - Defined in models/Vehicle.ts:416

  #### Parameters

  - ##### value: number

  #### Returns void

### FuelLevel

- get FuelLevel(): number
- set FuelLevel(value: number): void

- - Defined in models/Vehicle.ts:95

  #### Returns number

- - Defined in models/Vehicle.ts:99

  #### Parameters

  - ##### value: number

  #### Returns void

### Gravity

- get Gravity(): number
- set Gravity(value: number): void

- - Defined in models/Vehicle.ts:111

  #### Returns number

- - Defined in models/Vehicle.ts:115

  #### Parameters

  - ##### value: number

  #### Returns void

### Handle

- get Handle(): number

- - Defined in models/Entity.ts:35

  #### Returns number

### HasBombBay

- get HasBombBay(): boolean

- - Defined in models/Vehicle.ts:627

  #### Returns boolean

### HasCollided

- get HasCollided(): boolean

- - Defined in models/Entity.ts:220

  #### Returns boolean

### HasGravity

- set HasGravity(value: boolean): void

- - Defined in models/Entity.ts:132

  #### Parameters

  - ##### value: boolean

  #### Returns void

### HasRoof

- get HasRoof(): boolean

- - Defined in models/Vehicle.ts:384

  #### Returns boolean

### Heading

- get Heading(): number
- set Heading(heading: number): void

- - Defined in models/Entity.ts:102

  #### Returns number

- - Defined in models/Entity.ts:106

  #### Parameters

  - ##### heading: number

  #### Returns void

### Health

- get Health(): number
- set Health(amount: number): void

- - Defined in models/Entity.ts:43

  #### Returns number

- - Defined in models/Entity.ts:47

  #### Parameters

  - ##### amount: number

  #### Returns void

### HeightAboveGround

- get HeightAboveGround(): number

- - Defined in models/Entity.ts:136

  #### Returns number

### HighGear

- get HighGear(): number
- set HighGear(value: number): void

- - Defined in models/Vehicle.ts:183

  #### Returns number

- - Defined in models/Vehicle.ts:187

  #### Parameters

  - ##### value: number

  #### Returns void

### IsAlarmSet

- get IsAlarmSet(): boolean
- set IsAlarmSet(value: boolean): void

- - Defined in models/Vehicle.ts:211

  #### Returns boolean

- - Defined in models/Vehicle.ts:215

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsAlarmSounding

- get IsAlarmSounding(): boolean

- - Defined in models/Vehicle.ts:219

  #### Returns boolean

### IsAxlesStrong

- set IsAxlesStrong(value: boolean): void

- - Defined in models/Vehicle.ts:404

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsBurnoutForced

- set IsBurnoutForced(value: boolean): void

- - Defined in models/Vehicle.ts:491

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsCollisionEnabled

- get IsCollisionEnabled(): boolean
- set IsCollisionEnabled(value: boolean): void

- - Defined in models/Entity.ts:228

  #### Returns boolean

- - Defined in models/Entity.ts:232

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsConvertible

- get IsConvertible(): boolean

- - Defined in models/Vehicle.ts:487

  #### Returns boolean

### IsDamaged

- get IsDamaged(): boolean

- - Defined in models/Vehicle.ts:368

  #### Returns boolean

### IsDriveable

- get IsDriveable(): boolean
- set IsDriveable(value: boolean): void

- - Defined in models/Vehicle.ts:372

  #### Returns boolean

- - Defined in models/Vehicle.ts:376

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsEngineOnFire

- get IsEngineOnFire(): boolean

- - Defined in models/Vehicle.ts:380

  #### Returns boolean

### IsEngineRunning

- get IsEngineRunning(): boolean
- set IsEngineRunning(value: boolean): void

- - Defined in models/Vehicle.ts:119

  #### Returns boolean

- - Defined in models/Vehicle.ts:123

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsEngineStarting

- get IsEngineStarting(): boolean
- set IsEngineStarting(value: boolean): void

- - Defined in models/Vehicle.ts:127

  #### Returns boolean

- - Defined in models/Vehicle.ts:131

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsFrontBumperBrokenOff

- get IsFrontBumperBrokenOff(): boolean

- - Defined in models/Vehicle.ts:400

  #### Returns boolean

### IsHandbrakeForcedOn

- get IsHandbrakeForcedOn(): boolean
- set IsHandbrakeForcedOn(value: boolean): void

- - Defined in models/Vehicle.ts:340

  #### Returns boolean

- - Defined in models/Vehicle.ts:344

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsInAir

- get IsInAir(): boolean

- - Defined in models/Entity.ts:176

  #### Returns boolean

### IsInBurnout

- get IsInBurnout(): boolean

- - Defined in models/Vehicle.ts:495

  #### Returns boolean

### IsInWater

- get IsInWater(): boolean

- - Defined in models/Entity.ts:180

  #### Returns boolean

### IsInteriorLightOn

- get IsInteriorLightOn(): boolean
- set IsInteriorLightOn(value: boolean): void

- - Defined in models/Vehicle.ts:299

  #### Returns boolean

- - Defined in models/Vehicle.ts:303

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsInvincible

- set IsInvincible(value: boolean): void

- - Defined in models/Entity.ts:200

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsLeftHeadLightBroken

- get IsLeftHeadLightBroken(): boolean

- - Defined in models/Vehicle.ts:388

  #### Returns boolean

### IsLeftIndicatorLightOn

- get IsLeftIndicatorLightOn(): boolean
- set IsLeftIndicatorLightOn(value: boolean): void

- - Defined in models/Vehicle.ts:323

  #### Returns boolean

- - Defined in models/Vehicle.ts:328

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsOccluded

- get IsOccluded(): boolean

- - Defined in models/Entity.ts:160

  #### Returns boolean

### IsOnAllWheels

- get IsOnAllWheels(): boolean

- - Defined in models/Vehicle.ts:467

  #### Returns boolean

### IsOnFire

- get IsOnFire(): boolean

- - Defined in models/Entity.ts:196

  #### Returns boolean

### IsOnScreen

- get IsOnScreen(): boolean

- - Defined in models/Entity.ts:164

  #### Returns boolean

### IsOnlyDamagedByPlayer

- set IsOnlyDamagedByPlayer(value: boolean): void

- - Defined in models/Entity.ts:204

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPersistent

- get IsPersistent(): boolean
- set IsPersistent(value: boolean): void

- - Defined in models/Entity.ts:184

  #### Returns boolean

- - Defined in models/Entity.ts:188

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPositionFrozen

- set IsPositionFrozen(value: boolean): void

- - Defined in models/Entity.ts:110

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsRadioEnabled

- get IsRadioEnabled(): boolean
- set IsRadioEnabled(value: boolean): void

- - Defined in models/Vehicle.ts:138

  #### Returns boolean

- - Defined in models/Vehicle.ts:145

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsRearBumperBrokenOff

- get IsRearBumperBrokenOff(): boolean

- - Defined in models/Vehicle.ts:396

  #### Returns boolean

### IsRecordingCollisions

- set IsRecordingCollisions(value: boolean): void

- - Defined in models/Entity.ts:236

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsRightHeadLightBroken

- get IsRightHeadLightBroken(): boolean

- - Defined in models/Vehicle.ts:392

  #### Returns boolean

### IsRightIndicatorLightOn

- get IsRightIndicatorLightOn(): boolean
- set IsRightIndicatorLightOn(value: boolean): void

- - Defined in models/Vehicle.ts:332

  #### Returns boolean

- - Defined in models/Vehicle.ts:336

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsSearchLightOn

- get IsSearchLightOn(): boolean
- set IsSearchLightOn(value: boolean): void

- - Defined in models/Vehicle.ts:307

  #### Returns boolean

- - Defined in models/Vehicle.ts:311

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsSirenActive

- get IsSirenActive(): boolean
- set IsSirenActive(value: boolean): void

- - Defined in models/Vehicle.ts:235

  #### Returns boolean

- - Defined in models/Vehicle.ts:239

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsSirenSilent

- set IsSirenSilent(value: boolean): void

- - Defined in models/Vehicle.ts:243

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsStolen

- get IsStolen(): boolean
- set IsStolen(value: boolean): void

- - Defined in models/Vehicle.ts:479

  #### Returns boolean

- - Defined in models/Vehicle.ts:483

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsStopped

- get IsStopped(): boolean

- - Defined in models/Vehicle.ts:471

  #### Returns boolean

### IsStoppedAtTrafficLights

- get IsStoppedAtTrafficLights(): boolean

- - Defined in models/Vehicle.ts:475

  #### Returns boolean

### IsTaxiLightOn

- get IsTaxiLightOn(): boolean
- set IsTaxiLightOn(value: boolean): void

- - Defined in models/Vehicle.ts:315

  #### Returns boolean

- - Defined in models/Vehicle.ts:319

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsUpright

- get IsUpright(): boolean

- - Defined in models/Entity.ts:168

  #### Returns boolean

### IsUpsideDown

- get IsUpsideDown(): boolean

- - Defined in models/Entity.ts:172

  #### Returns boolean

### IsVisible

- get IsVisible(): boolean
- set IsVisible(value: boolean): void

- - Defined in models/Entity.ts:152

  #### Returns boolean

- - Defined in models/Entity.ts:156

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsWanted

- get IsWanted(): boolean
- set IsWanted(value: boolean): void

- - Defined in models/Vehicle.ts:251

  #### Returns boolean

- - Defined in models/Vehicle.ts:255

  #### Parameters

  - ##### value: boolean

  #### Returns void

### LandingGearState

- get LandingGearState(): VehicleLandingGearState
- set LandingGearState(value: VehicleLandingGearState): void

- - Defined in models/Vehicle.ts:420

  #### Returns VehicleLandingGearState

- - Defined in models/Vehicle.ts:424

  #### Parameters

  - ##### value: VehicleLandingGearState

  #### Returns void

### LightsMultiplier

- set LightsMultiplier(value: number): void

- - Defined in models/Vehicle.ts:352

  #### Parameters

  - ##### value: number

  #### Returns void

### LockStatus

- get LockStatus(): VehicleLockStatus
- set LockStatus(value: VehicleLockStatus): void

- - Defined in models/Vehicle.ts:451

  #### Returns VehicleLockStatus

- - Defined in models/Vehicle.ts:455

  #### Parameters

  - ##### value: VehicleLockStatus

  #### Returns void

### LodDistance

- get LodDistance(): number
- set LodDistance(value: number): void

- - Defined in models/Entity.ts:144

  #### Returns number

- - Defined in models/Entity.ts:148

  #### Parameters

  - ##### value: number

  #### Returns void

### MaterialCollidingWith

- get MaterialCollidingWith(): MaterialHash

- - Defined in models/Entity.ts:224

  #### Returns MaterialHash

### MaxBraking

- get MaxBraking(): number

- - Defined in models/Vehicle.ts:459

  #### Returns number

### MaxHealth

- get MaxHealth(): number
- set MaxHealth(amount: number): void

- - Defined in models/Entity.ts:51

  #### Returns number

- - Defined in models/Entity.ts:55

  #### Parameters

  - ##### amount: number

  #### Returns void

### MaxSpeed

- set MaxSpeed(value: number): void

- - Defined in models/Entity.ts:128

  #### Parameters

  - ##### value: number

  #### Returns void

### MaxTraction

- get MaxTraction(): number

- - Defined in models/Vehicle.ts:463

  #### Returns number

### Model

- get Model(): Model

- - Defined in models/Entity.ts:67

  #### Returns Model

### Mods

- get Mods(): VehicleModCollection

- - Defined in models/Vehicle.ts:540

  #### Returns VehicleModCollection

### NeedsToBeHotwired

- get NeedsToBeHotwired(): boolean
- set NeedsToBeHotwired(value: boolean): void

- - Defined in models/Vehicle.ts:275

  #### Returns boolean

- - Defined in models/Vehicle.ts:279

  #### Parameters

  - ##### value: boolean

  #### Returns void

### NetworkId

- get NetworkId(): number

- - Defined in models/Entity.ts:39

  #### Returns number

### NumberPlate

- get NumberPlate(): string
- set NumberPlate(value: string): void

- - Defined in models/Vehicle.ts:59

  #### Returns string

- - Defined in models/Vehicle.ts:63

  #### Parameters

  - ##### value: string

  #### Returns void

### Occupants

- get Occupants(): Ped[]

- - Defined in models/Vehicle.ts:503

  #### Returns Ped[]

### OilLevel

- get OilLevel(): number
- set OilLevel(value: number): void

- - Defined in models/Vehicle.ts:103

  #### Returns number

- - Defined in models/Vehicle.ts:107

  #### Parameters

  - ##### value: number

  #### Returns void

### Opacity

- get Opacity(): number
- set Opacity(value: number): void

- - Defined in models/Entity.ts:208

  #### Returns number

- - Defined in models/Entity.ts:212

  #### Parameters

  - ##### value: number

  #### Returns void

### PassengerCapacity

- get PassengerCapacity(): number

- - Defined in models/Vehicle.ts:678

  #### Returns number

### PassengerCount

- get PassengerCount(): number

- - Defined in models/Vehicle.ts:682

  #### Returns number

### Passengers

- get Passengers(): Ped[]

- - Defined in models/Vehicle.ts:513

  #### Returns Ped[]

### PetrolTankHealth

- get PetrolTankHealth(): number
- set PetrolTankHealth(value: number): void

- - Defined in models/Vehicle.ts:87

  #### Returns number

- - Defined in models/Vehicle.ts:91

  #### Parameters

  - ##### value: number

  #### Returns void

### Position

- get Position(): Vector3
- set Position(position: Vector3): void

- - Defined in models/Entity.ts:71

  #### Returns Vector3

- - Defined in models/Entity.ts:76

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### PositionNoOffset

- set PositionNoOffset(position: Vector3): void

- - Defined in models/Entity.ts:80

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### PreviouslyOwnedByPlayer

- get PreviouslyOwnedByPlayer(): boolean
- set PreviouslyOwnedByPlayer(value: boolean): void

- - Defined in models/Vehicle.ts:267

  #### Returns boolean

- - Defined in models/Vehicle.ts:271

  #### Parameters

  - ##### value: boolean

  #### Returns void

### ProvidesCover

- set ProvidesCover(value: boolean): void

- - Defined in models/Vehicle.ts:259

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Quaternion

- get Quaternion(): Quaternion
- set Quaternion(quaternion: Quaternion): void

- - Defined in models/Entity.ts:93

  #### Returns Quaternion

- - Defined in models/Entity.ts:98

  #### Parameters

  - ##### quaternion: Quaternion

  #### Returns void

### RadioStation

- set RadioStation(value: RadioStation): void

- - Defined in models/Vehicle.ts:149

  #### Parameters

  - ##### value: RadioStation

  #### Returns void

### RespotTimer

- set RespotTimer(time: number): void

- - Defined in models/Vehicle.ts:686

  #### Parameters

  - ##### time: number

  #### Returns void

### RoofState

- get RoofState(): VehicleRoofState
- set RoofState(value: VehicleRoofState): void

- - Defined in models/Vehicle.ts:428

  #### Returns VehicleRoofState

- - Defined in models/Vehicle.ts:432

  #### Parameters

  - ##### value: VehicleRoofState

  #### Returns void

### Rotation

- get Rotation(): Vector3
- set Rotation(rotation: Vector3): void

- - Defined in models/Entity.ts:84

  #### Returns Vector3

- - Defined in models/Entity.ts:89

  #### Parameters

  - ##### rotation: Vector3

  #### Returns void

### RotationVelocity

- get RotationVelocity(): Vector3

- - Defined in models/Entity.ts:123

  #### Returns Vector3

### Speed

- get Speed(): number
- set Speed(value: number): void

- - Defined in models/Vehicle.ts:154

  #### Returns number

- - Defined in models/Vehicle.ts:158

  #### Parameters

  - ##### value: number

  #### Returns void

### SteeringAngle

- get SteeringAngle(): number
- set SteeringAngle(value: number): void

- - Defined in models/Vehicle.ts:195

  #### Returns number

- - Defined in models/Vehicle.ts:199

  #### Parameters

  - ##### value: number

  #### Returns void

### SteeringScale

- get SteeringScale(): number
- set SteeringScale(value: number): void

- - Defined in models/Vehicle.ts:203

  #### Returns number

- - Defined in models/Vehicle.ts:207

  #### Parameters

  - ##### value: number

  #### Returns void

### Strong

- set Strong(toggle: boolean): void

- - Defined in models/Vehicle.ts:360

  #### Parameters

  - ##### toggle: boolean

  #### Returns void

### SubmersionLevel

- get SubmersionLevel(): number

- - Defined in models/Entity.ts:140

  #### Returns number

### TowedVehicle

- get TowedVehicle(): Vehicle

- - Defined in models/Vehicle.ts:655

  #### Returns Vehicle

### TowingCraneRaisedAmount

- set TowingCraneRaisedAmount(value: number): void

- - Defined in models/Vehicle.ts:651

  #### Parameters

  - ##### value: number

  #### Returns void

### Velocity

- get Velocity(): Vector3
- set Velocity(velocity: Vector3): void

- - Defined in models/Entity.ts:114

  #### Returns Vector3

- - Defined in models/Entity.ts:119

  #### Parameters

  - ##### velocity: Vector3

  #### Returns void

### WheelSpeed

- get WheelSpeed(): number

- - Defined in models/Vehicle.ts:167

  #### Returns number

### Wheels

- get Wheels(): VehicleWheelCollection

- - Defined in models/Vehicle.ts:547

  #### Returns VehicleWheelCollection

### Windows

- get Windows(): VehicleWindowCollection

- - Defined in models/Vehicle.ts:554

  #### Returns VehicleWindowCollection

## Methods

### applyForce

- applyForce(direction: Vector3, rotation: Vector3, forceType?: ForceType): void

- Inherited from Entity.applyForce

  - Defined in models/Entity.ts:429

  #### Parameters

  - ##### direction: Vector3

  - ##### rotation: Vector3

  - ##### forceType: ForceType = ...

  #### Returns void

### applyForceRelative

- applyForceRelative(direction: Vector3, rotation: Vector3, forceType?: ForceType): void

- Inherited from Entity.applyForceRelative

  - Defined in models/Entity.ts:452

  #### Parameters

  - ##### direction: Vector3

  - ##### rotation: Vector3

  - ##### forceType: ForceType = ...

  #### Returns void

### attachBlip

- attachBlip(): Blip

- Inherited from Entity.attachBlip

  - Defined in models/Entity.ts:257

  #### Returns Blip

### attachTo

- attachTo(entity: Entity, position: Vector3, rotation: Vector3, collisions?: boolean): void

- Inherited from Entity.attachTo

  - Defined in models/Entity.ts:368

  #### Parameters

  - ##### entity: Entity

  - ##### position: Vector3

  - ##### rotation: Vector3

  - ##### collisions: boolean = false

  #### Returns void

### attachToBone

- attachToBone(entityBone: EntityBone, position: Vector3, rotation: Vector3, collisions?: boolean): void

- Inherited from Entity.attachToBone

  - Defined in models/Entity.ts:388

  #### Parameters

  - ##### entityBone: EntityBone

  - ##### position: Vector3

  - ##### rotation: Vector3

  - ##### collisions: boolean = false

  #### Returns void

### clearLastWeaponDamage

- clearLastWeaponDamage(): void

- Inherited from Entity.clearLastWeaponDamage

  - Defined in models/Entity.ts:289

  #### Returns void

### closeBombBay

- closeBombBay(): void

- - Defined in models/Vehicle.ts:639

  #### Returns void

### deform

- deform(position: Vector3, damageAmount: number, radius: number): void

- - Defined in models/Vehicle.ts:674

  #### Parameters

  - ##### position: Vector3

  - ##### damageAmount: number

  - ##### radius: number

  #### Returns void

### delete

- delete(): void

- Inherited from Entity.delete

  - Defined in models/Entity.ts:483

  #### Returns void

### detach

- detach(): void

- Inherited from Entity.detach

  - Defined in models/Entity.ts:413

  #### Returns void

### detachFromTowTruck

- detachFromTowTruck(): void

- - Defined in models/Vehicle.ts:663

  #### Returns void

### detachTowedVehicle

- detachTowedVehicle(): void

- - Defined in models/Vehicle.ts:667

  #### Returns void

### exists

- exists(): boolean

- Overrides Entity.exists

  - Defined in models/Vehicle.ts:47

  #### Returns boolean

### explode

- explode(): void

- - Defined in models/Vehicle.ts:603

  #### Returns void

### explodeNetworked

- explodeNetworked(): void

- - Defined in models/Vehicle.ts:607

  #### Returns void

### extraExists

- extraExists(extra: number): boolean

- - Defined in models/Vehicle.ts:561

  #### Parameters

  - ##### extra: number

  #### Returns boolean

### getEntityAttachedTo

- getEntityAttachedTo(): null | Ped | Vehicle | Prop

- Inherited from Entity.getEntityAttachedTo

  - Defined in models/Entity.ts:425

  #### Returns null | Ped | Vehicle | Prop

### getOffsetPosition

- getOffsetPosition(offset: Vector3): Vector3

- Inherited from Entity.getOffsetPosition

  - Defined in models/Entity.ts:351

  #### Parameters

  - ##### offset: Vector3

  #### Returns Vector3

### getPedOnSeat

- getPedOnSeat(seat: VehicleSeat): Ped

- - Defined in models/Vehicle.ts:575

  #### Parameters

  - ##### seat: VehicleSeat

  #### Returns Ped

### getPositionOffset

- getPositionOffset(worldCoords: Vector3): Vector3

- Inherited from Entity.getPositionOffset

  - Defined in models/Entity.ts:357

  #### Parameters

  - ##### worldCoords: Vector3

  #### Returns Vector3

### hasBeenDamagedBy

- hasBeenDamagedBy(entity: Entity): boolean

- Inherited from Entity.hasBeenDamagedBy

  - Defined in models/Entity.ts:273

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### hasBeenDamagedByAnyMeleeWeapon

- hasBeenDamagedByAnyMeleeWeapon(): boolean

- Inherited from Entity.hasBeenDamagedByAnyMeleeWeapon

  - Defined in models/Entity.ts:285

  #### Returns boolean

### hasBeenDamagedByAnyWeapon

- hasBeenDamagedByAnyWeapon(): boolean

- Inherited from Entity.hasBeenDamagedByAnyWeapon

  - Defined in models/Entity.ts:281

  #### Returns boolean

### hasBeenDamagedByWeapon

- hasBeenDamagedByWeapon(weapon: WeaponHash): boolean

- Inherited from Entity.hasBeenDamagedByWeapon

  - Defined in models/Entity.ts:277

  #### Parameters

  - ##### weapon: WeaponHash

  #### Returns boolean

### hasClearLosToEntity

- hasClearLosToEntity(entity: Entity, traceType?: number): boolean

- Inherited from Entity.hasClearLosToEntity

  - Defined in models/Entity.ts:265

  #### Parameters

  - ##### entity: Entity

  - ##### traceType: number = 17

  #### Returns boolean

### hasClearLosToEntityInFront

- hasClearLosToEntityInFront(entity: Entity): boolean

- Inherited from Entity.hasClearLosToEntityInFront

  - Defined in models/Entity.ts:269

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isAlive

- isAlive(): boolean

- Inherited from Entity.isAlive

  - Defined in models/Entity.ts:63

  #### Returns boolean

### isAttached

- isAttached(): boolean

- Inherited from Entity.isAttached

  - Defined in models/Entity.ts:417

  #### Returns boolean

### isAttachedTo

- isAttachedTo(entity: Entity): boolean

- Inherited from Entity.isAttachedTo

  - Defined in models/Entity.ts:421

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isDead

- isDead(): boolean

- Inherited from Entity.isDead

  - Defined in models/Entity.ts:59

  #### Returns boolean

### isExtraOn

- isExtraOn(extra: number): boolean

- - Defined in models/Vehicle.ts:565

  #### Parameters

  - ##### extra: number

  #### Returns boolean

### isInAngledArea

- isInAngledArea(origin: Vector3, edge: Vector3, angle: number): boolean

- Inherited from Entity.isInAngledArea

  - Defined in models/Entity.ts:308

  #### Parameters

  - ##### origin: Vector3

  - ##### edge: Vector3

  - ##### angle: number

  #### Returns boolean

### isInArea

- isInArea(minBounds: Vector3, maxBounds: Vector3): boolean

- Inherited from Entity.isInArea

  - Defined in models/Entity.ts:293

  #### Parameters

  - ##### minBounds: Vector3

  - ##### maxBounds: Vector3

  #### Returns boolean

### isInRangeOf

- isInRangeOf(position: Vector3, range: number): boolean

- Inherited from Entity.isInRangeOf

  - Defined in models/Entity.ts:324

  #### Parameters

  - ##### position: Vector3

  - ##### range: number

  #### Returns boolean

### isNearEntity

- isNearEntity(entity: Entity, bounds: Vector3): boolean

- Inherited from Entity.isNearEntity

  - Defined in models/Entity.ts:330

  #### Parameters

  - ##### entity: Entity

  - ##### bounds: Vector3

  #### Returns boolean

### isSeatFree

- isSeatFree(seat: VehicleSeat): boolean

- - Defined in models/Vehicle.ts:579

  #### Parameters

  - ##### seat: VehicleSeat

  #### Returns boolean

### isTouching

- isTouching(entity: Entity): boolean

- Inherited from Entity.isTouching

  - Defined in models/Entity.ts:343

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isTouchingModel

- isTouchingModel(model: Model): boolean

- Inherited from Entity.isTouchingModel

  - Defined in models/Entity.ts:347

  #### Parameters

  - ##### model: Model

  #### Returns boolean

### markAsNoLongerNeeded

- markAsNoLongerNeeded(): void

- Inherited from Entity.markAsNoLongerNeeded

  - Defined in models/Entity.ts:490

  #### Returns void

### openBombBay

- openBombBay(): void

- - Defined in models/Vehicle.ts:633

  #### Returns void

### placeOnGround

- placeOnGround(): void

- - Defined in models/Vehicle.ts:595

  #### Returns void

### removeAllParticleEffects

- removeAllParticleEffects(): void

- Inherited from Entity.removeAllParticleEffects

  - Defined in models/Entity.ts:475

  #### Returns void

### repair

- repair(): void

- - Defined in models/Vehicle.ts:599

  #### Returns void

### resetOpacity

- resetOpacity(): void

- Inherited from Entity.resetOpacity

  - Defined in models/Entity.ts:216

  #### Returns void

### setHeliYawPitchRollMult

- setHeliYawPitchRollMult(mult: number): void

- - Defined in models/Vehicle.ts:645

  #### Parameters

  - ##### mult: number

  #### Returns void

### setNoCollision

- setNoCollision(entity: Entity, toggle: boolean): void

- Inherited from Entity.setNoCollision

  - Defined in models/Entity.ts:261

  #### Parameters

  - ##### entity: Entity

  - ##### toggle: boolean

  #### Returns void

### soundHorn

- soundHorn(duration: number): void

- - Defined in models/Vehicle.ts:247

  #### Parameters

  - ##### duration: number

  #### Returns void

### startAlarm

- startAlarm(): void

- - Defined in models/Vehicle.ts:231

  #### Returns void

### toggleExtra

- toggleExtra(extra: number, toggle: boolean): void

- - Defined in models/Vehicle.ts:569

  #### Parameters

  - ##### extra: number

  - ##### toggle: boolean

  #### Returns void

### towVehicle

- towVehicle(vehicle: Vehicle, rear: boolean): void

- - Defined in models/Vehicle.ts:659

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### rear: boolean

  #### Returns void

### wash

- wash(): void

- - Defined in models/Vehicle.ts:583

  #### Returns void

### Static exists

- exists(vehicle: Vehicle): boolean

- - Defined in models/Vehicle.ts:34

  #### Parameters

  - ##### vehicle: Vehicle

  #### Returns boolean

### Static fromHandle

- fromHandle(handle: number): null | Ped | Vehicle | Prop

- Inherited from Entity.fromHandle

  - Defined in models/Entity.ts:11

  #### Parameters

  - ##### handle: number

  #### Returns null | Ped | Vehicle | Prop

### Static fromNetworkId

- fromNetworkId(networkId: number): null | Ped | Vehicle | Prop

- Inherited from Entity.fromNetworkId

  - Defined in models/Entity.ts:24

  #### Parameters

  - ##### networkId: number

  #### Returns null | Ped | Vehicle | Prop

### Static getClassDisplayName

- getClassDisplayName(vehicleClass: VehicleClass): string

- - Defined in models/Vehicle.ts:30

  #### Parameters

  - ##### vehicleClass: VehicleClass

  #### Returns string

### Static getModelClass

- getModelClass(vehicleModel: Model): VehicleClass

- - Defined in models/Vehicle.ts:26

  #### Parameters

  - ##### vehicleModel: Model

  #### Returns VehicleClass

### Static getModelDisplayName

- getModelDisplayName(vehicleModel: Model): string

- - Defined in models/Vehicle.ts:22

  #### Parameters

  - ##### vehicleModel: Model

  #### Returns string

Generated using TypeDoc